Subject: [Sip] Multiple header presence

From: murali <[email-masked]>
Date: Wed May 7 08:56:23 2003

Hi,

In section 7.3.1 of RFC 3261 it says

"The exceptions to this rule are the WWW-Authenticate, Authorization, Proxy-Authenticate, and Proxy-Authorization header fields. Multiple header field rows with these names MAY be present in a message, but since their grammar does not follow the general form listed in Section 7.3,   they MUST NOT be combined into a single header field row."

Could any on tell me the possibility wherein we can receive multiple headers of the above types??

Thanks & Regards,
Murali

-------
Murali Voleti,
#503,Maheswari complex,
Masab Tank,
Hyderabad
Tele:(040) 6502272 ext:211

_____________________________________________________________
Get Your Free ScanMail and Email At http://mail.ttkbharatplanet.com
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Prasanna Venkatesh <[email-masked]>
Date: Fri, 09 May 2003 19:55:05 +0800

There are 3 possibilities
Possibility A:
If the message traverses through 2 proxies, with both of them requiring
authentication this may happen.

Possibility B:
This can also happen when the proxies merge forked responses.
For e.g.
    |--B1
A--P
    |--B2
If both B1 and B2 challenge, then the 401 will carry two WWW-Authenticate
headers.

Possibility C:
However, I am not sure about the third possibility where a single entity
governing two realms, inserts two Authenticate headers or an entity capable
of supporting more than one authentication scheme (for e.g. Basic & Digest )
inserts more than one Authenticate headers.
Can somebody tell if this is allowed as per RFC-2617 or RFC-3261

Cheers,
Prasanna

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of murali
Sent: Friday, May 09, 2003 5:24 PM
To: [email-masked]
Subject: [Sip] Multiple header presence

Hi,

"The exceptions to this rule are the WWW-Authenticate, Authorization,
Proxy-Authenticate, and Proxy-Authorization header fields. Multiple header
field rows with these names MAY be present in a message, but since their
grammar does not follow the general form listed in Section 7.3,   they MUST
NOT be combined into a single header field row."

Could any on tell me the possibility wherein we can receive multiple headers
of the above types??

Thanks & Regards,
Murali

-------
Murali Voleti,
#503,Maheswari complex,
Masab Tank,
Hyderabad